name='vesktop'
version='1.5.1'
release='1'
desc='Vesktop gives you the performance of web Discord and the comfort of Discord Desktop'
homepage='https://github.com/Vencord/Vesktop'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64' 'aarch64')
license=('GPL3')
provides=('vencord')
conflicts=('vencord')

deps=('electron')
deps_redos=('electron')
build_deps=('pnpm' 'git')
optdepends=(
	'libnotify: Notifications'
	'xdg-utils: Open links, files, etc'
	'xdg-desktop-portal: Screensharing with Wayland'
	'arrpc: Rich presence support'
)

sources=("https://github.com/Vencord/Vesktop/archive/refs/tags/v${version}.tar.gz")
checksums=('SKIP')

prepare() {
	sed -i '/linux/s/^/        "electronDist": "\/usr\/lib\/electron",\n/' "$srcdir/$_pkgname-$pkgver/package.json"
}

build() {
	cd ${srcdir}
	pnpm install
	pnpm package:dir
}

package() {
	cd "${srcdir}"
	install -d "${pkgdir}/usr/lib/${pkgname}"
	install -d "${pkgdir}/usr/bin"

	cp "$_pkgname-$pkgver/dist/linux-unpacked/resources/app.asar" "${pkgdir}/usr/lib/${pkgname}/"
	install -Dm755 "./vesktop.sh" "$pkgdir/usr/bin/vesktop"

	install -Dm 644 "vesktop.desktop" "$pkgdir/usr/share/applications/vesktop.desktop"
	install -Dm 644 "$_pkgname-$pkgver/static/icon.png" "$pkgdir/usr/share/pixmaps/${pkgname}.png"
	install -Dm 644 "$_pkgname-$pkgver/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}
